Question Erreur: impossible de déterminer la version de PostgreSQL à partir de '10.4 '


obtenir une erreur lors de l'installation uniq

Message d'erreur:

Downloading https://engci-maven-master.cisco.com/artifactory/api/pypi/apic-em-pypi-group/packages/86/fd/cc8315be63a41fe000cce20482a917e874cdc1151e62cb0141f5e55f711e/psycopg2-2.6.1.tar.gz (371kB)
    100% |\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 378kB 458kB/s 
    Complete output from command python setup.py egg_info:
    running egg_info
    creating pip-egg-info/psycopg2.egg-info
    writing pip-egg-info/psycopg2.egg-info/PKG-INFO
    writing dependency_links to pip-egg-info/psycopg2.egg-info/dependency_links.txt
    writing top-level names to pip-egg-info/psycopg2.egg-info/top_level.txt
    writing manifest file 'pip-egg-info/psycopg2.egg-info/SOURCES.txt'
    Error: could not determine PostgreSQL version from '10.4'


----------------------------------------

La commande "python setup.py egg_info" a échoué avec le code d'erreur 1 dans / tmp / pip-build-_cf1z03a / psycopg2 /

Ubuntu 18.04

comment puis-je installer correctement

Commande utilisée:
pip3 installe uniq == 2.1.22. * --no-cache-dir --index-url =https://engci-maven-master.cisco.com/artifactory/api/pypi/apic-em-pypi-group/simple


3
2017-07-24 15:17


origine


Eh bien, il dit qu'il fonctionne python setup.py egg_info, donc probablement d'après ce qui est dit ci-dessous, c'est de lancer python3 au lieu de python2.7. Alors peut-être vérifier avec ls -al $(which python). Ensuite, si vous allez sur python3, dirigez le soft-link vers python2.7 (temporairement) pour exécuter le script? - pbhj


Réponses:


Le message d'erreur est dû à pip en utilisant python version 3 et Ubuntu ayant python version 2.7 installé. De nombreux utilisateurs signalent des erreurs ici.

La solution la plus courante consiste à utiliser d'abord:

sudo pip3 install —upgrade setuptools

REMARQUE: Certains rapportent le succès en utilisant pip tandis que d'autres utilisés pip3 comme le fait la commande ci-dessus.

Lisez l'intégralité du lien pour toutes les solutions possibles.


0
2017-08-10 11:28